Unable to deploy Django tutorial

I’m trying to deploy the Getting Started with Django on Render turtorial, and have worked through most deployment and config issues (the forums here helped find how to specify the right Python version), but I am stumped on this one regarding dependencies. When I run this locally it works but during the deploy process it cannot resolve these. Any suggestions on how to go about debugging this?

Thanks!

Dec 2 10:21:04 AM    SolverProblemError
Dec 2 10:21:04 AM  
Dec 2 10:21:04 AM    Because no versions of django match >=4.1.2,<4.1.3 || >4.1.3,<5.0.0
Dec 2 10:21:04 AM     and django (4.1.3) depends on backports.zoneinfo (*), django (>=4.1.2,<5.0.0) requires backports.zoneinfo (*).
Dec 2 10:21:04 AM    So, because no versions of backports.zoneinfo match *
Dec 2 10:21:04 AM     and v2mysite depends on django (^4.1.2), version solving failed.
Dec 2 10:21:04 AM  
Dec 2 10:21:04 AM    at /home/render/.python-poetry/venv/lib/python3.7/site-packages/poetry/puzzle/solver.py:241 in _solve
Dec 2 10:21:04 AM        237│             packages = result.packages
Dec 2 10:21:04 AM        238│         except OverrideNeeded as e:
Dec 2 10:21:04 AM        239│             return self.solve_in_compatibility_mode(e.overrides, use_latest=use_latest)
Dec 2 10:21:04 AM        240│         except SolveFailure as e:
Dec 2 10:21:04 AM      → 241│             raise SolverProblemError(e)
Dec 2 10:21:04 AM        242│
Dec 2 10:21:04 AM        243│         results = dict(